Subject: bug#3582 closed by Stefan Monnier <[email-masked]> (Re: bug#3582: 23.0.94; Please autoload command text-scale-mode)

From: [email-masked] (Emacs bug Tracking System)
Date: Tue, 16 Jun 2009 21:20:11 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#3582: 23.0.94; Please autoload command text-scale-mode

It has been closed by Stefan Monnier <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stefan Monnier <[email-masked]> by
replying to this email.

-- 
3582: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3582
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3582: 23.0.94; Please autoload command text-scale-mode
From: Stefan Monnier <[email-masked]>
To: "Drew Adams" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 16 Jun 2009 17:12:29 -0400

> No special reason. Just testing some other code. Wanted to check the mode var
> (used by that code), which was undefined, so I tried to turn on the mode
> (without changing text-scale-mode-amount).

> Yes, I could have done that in other ways, but why not let someone
> turn on the mode using `M-x'? No, it's not a _need_ - users will
> typically use `text-scale-adjust' or `text-scale-(in|de)crease' to
> turn on/off the mode.

I see, then I think I'd rather leave it non-autoloaded for now: it's
just an internal major mode, really.

        Stefan

Subject: 23.0.94; Please autoload command text-scale-mode
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Mon, 15 Jun 2009 11:32:22 -0700

Subject line says it all. You cannot do `M-x text-scale-mode' in
virgin session.

In GNU Emacs 23.0.94.1 (i386-mingw-nt5.1.2600)
 of 2009-05-24 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'